解决最新版Kali安装网易云音乐无法打开的问题

问题所在:解决Kubuntu 17.04和Ubuntu17.04无法安装网易云音乐 netease-cloud-music : 依赖: libqt5libqgtk2 但无法安装它

然后我就安装这些依赖,直到安装到 libqt5libqgtk2,发现这个已经被取代了

没有可用的软件包 libqt5libqgtk2,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
然而下列软件包会取代它:
qt5-style-plugins:i386 qt5-style-plugins

也就是说系统已经用新的依赖取代了他,然后就没有必要使用它了,接下来要做的就是重新编译deb包,去掉这个无用的依赖

解决方案

修改依赖重新打包

# 先创建软件包目录

mkdir -p extract/DEBIAN

# 用dpkg解压

dpkg-deb -x neteasemusic.deb extract/
dpkg-deb -e neteasemusic.deb extract/DEBIAN

然后用文本编辑器打开extract/DEBIAN/control,找到Depends行,删除libqt5libqgtk2,删除libfontconfig1 (>= 2.11.94)中的(>= 2.11.94),然后重新打包:

# 建立软件包生成目录

mkdir build

# 重新打包

dpkg-deb -b extract/ build/

然后安装新打包的网易云即可

在build目录下会看到新生成的包。安装这个新的包即可。

sudo dpkg -i neteasemusic.deb

OK 大功告成!尽情欣赏音乐吧!

PS:文章教程出路:https://blog.csdn.net/Allan_Bst/article/details/70419189

本人测试成功,优化了一下教程内容。

版权声明 © 本文内容来自若白博客:R-Blog.cn 文章链接:https://r-blog.cn/202206232580.html 转载请注明出处 原创不易,觉得有用的话,请转发保留版权信息表示支持!
THE END
分享
二维码
打赏
海报
解决最新版Kali安装网易云音乐无法打开的问题
问题所在:解决Kubuntu 17.04和Ubuntu17.04无法安装网易云音乐 netease-cloud-music : 依赖: libqt5libqgtk2 但无法安装它 然后我就安装这些依赖,直到安装到……
<<上一篇
下一篇>>